using System;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class CategoryBuilder
{
    public static void Create(string name, string description, Sprite icon)
    {
        CatalogBehaviour objectOfType = UnityEngine.Object.FindObjectOfType<CatalogBehaviour>();
        if (!((UnityEngine.Object)((IEnumerable<Category>)objectOfType.Catalog.Categories).FirstOrDefault<Category>((Func<Category, bool>)(c => c.name == name)) == (UnityEngine.Object)null))
            return;
        Category instance = ScriptableObject.CreateInstance<Category>();
        instance.name = name;
        instance.Description = description;
        instance.Icon = icon;
        Category[] categoryArray = new Category[objectOfType.Catalog.Categories.Length + 1];
        Category[] categories = objectOfType.Catalog.Categories;
        for (int index = 0; index < categories.Length; ++index)
            categoryArray[index] = categories[index];
        categoryArray[categoryArray.Length - 1] = instance;
        objectOfType.Catalog.Categories = categoryArray;
    }
}

